Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.prospectivesearch.dev
Class QueryEvaluator

    java.lang.Object
      com.google.appengine.api.prospectivesearch.dev.QueryEvaluator

    public class QueryEvaluator

extends java.lang.Object

The QueryEvaluator class performs a full visit of the query tree, dispatching leaf evaluations to the QueryEngine. Fine-grained debugging of query parsing is available at the logging level java.util.logging.Level.FINEST. Not multi-thread safe.

Method Summary
`void` | `visitConjunction( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a conjunction (logical and) of conditions.
`void` | `visitContains( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents that a field must contain a value.
`void` | `visitDisjunction( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a disjunction (logical or) of conditions.
`void` | `visitEqual( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents that a field value must be greater than or equal to some specified value.
`void` | `visitFuzzy( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a text field that is subject to query rewrite.
`void` | `visitGreaterOrEqual( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents an inequality between a field and value.
`void` | `visitGreaterThan( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents that a field value must be greater than some specified value.
`void` | `visitLessOrEqual( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents that a field value must be less than or equal to some specified value.
`void` | `visitLessThan( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents that a field value must be less than some specified value.
`void` | `visitLiteral( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a text field that must not be altered.
`void` | `visitNegation( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a negation of conditions.
`void` | `visitOther( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Catch-all method for future type of query nodes.
`void` | `visitRestriction( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a condition restricted to a named field.
`void` | `visitSequence( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)`
`void` | `visitValue( walker, Tree node, java.util.concurrent.atomic.AtomicBoolean matches)` Visits a node that represents a constant value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### visitSequence

    public void visitSequence( walker,
                              Tree node,
                              java.util.concurrent.atomic.AtomicBoolean matches)

### visitConjunction

    public void visitConjunction( walker,
                                 Tree node,
                                 java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a conjunction (logical and) of conditions.

  Parameters:
    `matches` - Is set to the conjunction of node's sub-expressions.

### visitDisjunction

    public void visitDisjunction( walker,
                                 Tree node,
                                 java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a disjunction (logical or) of conditions.

  Parameters:
    `matches` - Is set to the disjunction of node's sub-expressions.

### visitNegation

    public void visitNegation( walker,
                              Tree node,
                              java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a negation of conditions.

  Parameters:
    `matches` - Is set to the negation of node's sub-expression.

### visitRestriction

    public void visitRestriction( walker,
                                 Tree node,
                                 java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a condition restricted to a named field.

  Parameters:
    `matches` - Is set to the value of node's sub-expression.

### visitFuzzy

    public void visitFuzzy( walker,
                           Tree node,
                           java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a text field that is subject to query rewrite.

### visitLiteral

    public void visitLiteral( walker,
                             Tree node,
                             java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a text field that must not be altered.

### visitLessThan

    public void visitLessThan( walker,
                              Tree node,
                              java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents that a field value must be less than some specified value.

### visitLessOrEqual

    public void visitLessOrEqual( walker,
                                 Tree node,
                                 java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents that a field value must be less than or equal to some specified value.

### visitGreaterThan

    public void visitGreaterThan( walker,
                                 Tree node,
                                 java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents that a field value must be greater than some specified value.

### visitGreaterOrEqual

    public void visitGreaterOrEqual( walker,
                                    Tree node,
                                    java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents an inequality between a field and value.

### visitEqual

    public void visitEqual( walker,
                           Tree node,
                           java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents that a field value must be greater than or equal to some specified value.

### visitContains

    public void visitContains( walker,
                              Tree node,
                              java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents that a field must contain a value.

### visitValue

    public void visitValue( walker,
                           Tree node,
                           java.util.concurrent.atomic.AtomicBoolean matches)

  Visits a node that represents a constant value.

### visitOther

    public void visitOther( walker,
                           Tree node,
                           java.util.concurrent.atomic.AtomicBoolean matches)

  Catch-all method for future type of query nodes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD